org.apache.tiles.el

## Class JspExpressionFactoryFactory

- java.lang.Object
- - org.apache.tiles.el.JspExpressionFactoryFactory

- All Implemented Interfaces:
    ExpressionFactoryFactory, ApplicationContextAware

      public class JspExpressionFactoryFactory
      extends Object
      implements ExpressionFactoryFactory, ApplicationContextAware

  Uses the JSP 2.1 `ExpressionFactory` to be used in Tiles.
  Since:
    2.2.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.ServletContext` | `servletContext` The servlet context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspExpressionFactoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.ExpressionFactory` | `getExpressionFactory()` Returns the expression factory to use.
    `void` | `setApplicationContext(ApplicationContext applicationContext)` Sets the Tiles application context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected javax.servlet.ServletContext servletContext

      The servlet context.
      Since:
        2.2.1

  - ### Constructor Detail

    - #### JspExpressionFactoryFactory

          public JspExpressionFactoryFactory()

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(ApplicationContext applicationContext)

      Sets the Tiles application context.
      Specified by:
        `setApplicationContext` in interface `ApplicationContextAware`
      Parameters:
        `applicationContext` - The Tiles application context.

    - #### getExpressionFactory

          public javax.el.ExpressionFactory getExpressionFactory()

      Returns the expression factory to use.
      Specified by:
        `getExpressionFactory` in interface `ExpressionFactoryFactory`
      Returns:
        The expression factory.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.